commit: 3a75e8515d3561da9fec1c23ecae3513d8d57402
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 12 08:57:29 2025 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 08:28:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a75e851
sci-chemistry/vmd: Make it compile with gcc-15
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
sci-chemistry/vmd/vmd-1.9.4_alpha57-r4.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/sci-chemistry/vmd/vmd-1.9.4_alpha57-r4.ebuild
b/sci-chemistry/vmd/vmd-1.9.4_alpha57-r4.ebuild
index 211314d11622..04807d2e51a2 100644
--- a/sci-chemistry/vmd/vmd-1.9.4_alpha57-r4.ebuild
+++ b/sci-chemistry/vmd/vmd-1.9.4_alpha57-r4.ebuild
@@ -112,6 +112,14 @@ src_prepare() {
-e "s:\$(CXXFLAGS)::g" \
-i hesstrans/Makefile || die
+ # hack for some very old code with recent compilers
+ # stamp uses old syntax so we need to add -std=gnu89
+ sed \
+ -e "s: -c: -std=gnu89 -c:g" \
+ -i stamp/Makefile \
+ -i rnaview/Makefile \
+ -i clustalw/Makefile || die
+
# prepare vmd itself
cd "${S}" || die